Package org.eclipse.cdt.core.settings.model.extension

## Class CConfigurationData

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.CDataObject
  - - org.eclipse.cdt.core.settings.model.extension.CConfigurationData

All Implemented Interfaces:
  `ICSettingBase`

Direct Known Subclasses:
  `CDefaultConfigurationData`

    public abstract class CConfigurationData
    extends CDataObject

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Constructor Summary

Constructors
`protected` `CConfigurationData()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract CFileData` `createFileData​(org.eclipse.core.runtime.IPath path, CFileData base)`
`abstract CFileData` `createFileData​(org.eclipse.core.runtime.IPath path, CFolderData base, CLanguageData langData)`
`abstract CFolderData` `createFolderData​(org.eclipse.core.runtime.IPath path, CFolderData base)`
`abstract CBuildData` `getBuildData()`
`abstract ICdtVariablesContributor` `getBuildVariablesContributor()`
`abstract String` `getDescription()`
`abstract CResourceData[]` `getResourceDatas()`
`abstract CFolderData` `getRootFolderData()`
`abstract ICSourceEntry[]` `getSourceEntries()`
`CConfigurationStatus` `getStatus()`
`abstract CTargetPlatformData` `getTargetPlatformData()`
`int` `getType()`
`abstract void` `removeResourceData​(CResourceData data)`
`abstract void` `setDescription​(String description)`
`abstract void` `setName​(String name)`
`abstract void` `setSourceEntries​(ICSourceEntry[] entries)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`getId, getName, isValid, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CConfigurationData

    protected CConfigurationData()

### Method Detail

#### getType

    public final int getType()

Specified by:
  `getType` in class `CDataObject`

#### getRootFolderData

    public abstract CFolderData getRootFolderData()

#### getResourceDatas

    public abstract CResourceData[] getResourceDatas()

#### getDescription

    public abstract String getDescription()

#### setDescription

    public abstract void setDescription​(String description)

#### removeResourceData

    public abstract void removeResourceData​(CResourceData data)
                                     throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### createFolderData

    public abstract CFolderData createFolderData​(org.eclipse.core.runtime.IPath path,
                                                 CFolderData base)
                                          throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### createFileData

    public abstract CFileData createFileData​(org.eclipse.core.runtime.IPath path,
                                             CFileData base)
                                      throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### createFileData

    public abstract CFileData createFileData​(org.eclipse.core.runtime.IPath path,
                                             CFolderData base,
                                             CLanguageData langData)
                                      throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### getTargetPlatformData

    public abstract CTargetPlatformData getTargetPlatformData()

#### getSourceEntries

    public abstract ICSourceEntry[] getSourceEntries()

#### setSourceEntries

    public abstract void setSourceEntries​(ICSourceEntry[] entries)

#### getBuildData

    public abstract CBuildData getBuildData()

#### getBuildVariablesContributor

    public abstract ICdtVariablesContributor getBuildVariablesContributor()

#### setName

    public abstract void setName​(String name)

#### getStatus

    public CConfigurationStatus getStatus()